Skip to main content

Mark all notifications as read

PUT 

https://core-prod.malipopay.co.tz/api/v1/notification/read-all

Marks all notifications for the authenticated project as read.

Request

Query Parameters

    env string

    Environment filter (TEST or PROD)

Responses

All notifications marked as read

Schema
    successbooleanrequired
    Example: true
    codeintegerrequired

    MALIPOPAY-specific status code (see error codes reference)

    Example: 800
    messagestringrequired
    Example: Operation completed successfully
    data object

    Endpoint-specific payload

    property name*any

    Endpoint-specific payload

Authorization: apiToken

name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
curl -L -X PUT 'https://core-prod.malipopay.co.tz/api/v1/notification/read-all' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Request
Base URL
https://core-prod.malipopay.co.tz
Auth
Parameters
— query
Response

Click the Send API Request button above and see the response here!